Author: Alastair McKinstry <mckinstry@debian.org>
Description: Add version numbers to libsilo*; we need them in Debian.
Last-Updated: 2010-10-16
Forwarded: no

Index: silo-llnl-4.8/src/Makefile.am
===================================================================
--- silo-llnl-4.8.orig/src/Makefile.am	2010-10-16 14:44:11.000000000 +0100
+++ silo-llnl-4.8/src/Makefile.am	2010-10-16 14:44:21.000000000 +0100
@@ -101,7 +101,7 @@
    $(DRIVER_LIBS) \
    unknown/libsilo_unknown.la \
    filters/libsilo_filters.la 
-  libsiloh5_la_LDFLAGS = -avoid-version
+  libsiloh5_la_LDFLAGS = 
 else
   SETTINGSFILE=libsilo.settings
   lib_LTLIBRARIES = libsilo.la
@@ -114,7 +114,7 @@
    $(DRIVER_LIBS) \
    unknown/libsilo_unknown.la \
    filters/libsilo_filters.la 
-  libsilo_la_LDFLAGS = -avoid-version
+  libsilo_la_LDFLAGS = 
 endif
 
 BUILT_SOURCES = $(MAKESETTINGS)
Index: silo-llnl-4.8/src/Makefile.in
===================================================================
--- silo-llnl-4.8.orig/src/Makefile.in	2010-10-16 14:44:24.000000000 +0100
+++ silo-llnl-4.8/src/Makefile.in	2010-10-16 14:44:29.000000000 +0100
@@ -359,7 +359,7 @@
 @HDF5_DRV_NEEDED_TRUE@   unknown/libsilo_unknown.la \
 @HDF5_DRV_NEEDED_TRUE@   filters/libsilo_filters.la 
 
-@HDF5_DRV_NEEDED_TRUE@libsiloh5_la_LDFLAGS = -avoid-version
+@HDF5_DRV_NEEDED_TRUE@libsiloh5_la_LDFLAGS =
 @HDF5_DRV_NEEDED_FALSE@libsilo_la_SOURCES = silo_version.c
 @HDF5_DRV_NEEDED_FALSE@libsilo_la_LIBADD = \
 @HDF5_DRV_NEEDED_FALSE@   score/libsilo_score.la \
@@ -370,7 +370,7 @@
 @HDF5_DRV_NEEDED_FALSE@   unknown/libsilo_unknown.la \
 @HDF5_DRV_NEEDED_FALSE@   filters/libsilo_filters.la 
 
-@HDF5_DRV_NEEDED_FALSE@libsilo_la_LDFLAGS = -avoid-version
+@HDF5_DRV_NEEDED_FALSE@libsilo_la_LDFLAGS = 
 BUILT_SOURCES = $(MAKESETTINGS)
 all: $(BUILT_SOURCES)
 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
